<!--
title: Soorten-CTF-challenges-en-categorieën
description: 
published: true
date: 2022-01-18T18:55:58.231Z
tags: 
editor: ckeditor
dateCreated: 2022-01-18T18:47:49.380Z
-->

<h1>Soorten CTF categorieën en challenges</h1>
<h1><strong>CTF stijlen:</strong></h1>
<p>Een CTF kan zich in verschillende gedaantes voordoen, met elk zijn eigen unieke aspecten.</p>
<ul>
  <li><strong>Jeopardy style</strong>
    <ul>
      <li>Score punten door vlaggen te vinden, de speler/team met de meeste punten wint.</li>
    </ul>
  </li>
  <li><strong>Linear (story)</strong>
    <ul>
      <li>Vindt vlaggen in een bepaalde volgorde met een verhaaltje eromheen.</li>
    </ul>
  </li>
  <li><strong>King of the Hill</strong>
    <ul>
      <li>Vindt de vlag en verdedig deze, de rest valt de vlag aan en de speler die de vlag het langst heeft wint.</li>
    </ul>
  </li>
  <li><strong>Attack – Defense</strong>
    <ul>
      <li>Teams ontvangen een infrastructuur met vlaggen verstopt. Elk team verdedigt zijn vlaggen door bijvoorbeeld software te patchen en wachtwoorden sterker te maken en vallen de vlaggen van anderen aan. Het team met de meeste vlaggen wint</li>
    </ul>
  </li>
  <li><strong>Mixed</strong>
    <ul>
      <li>Dit is een stijl waarbij Atack - Defense en Jeopardy style zijn gecombineerd, de Jeopardy style challenges worden meegenomen in de uitslag van de Atack - Defense.</li>
    </ul>
  </li>
</ul>
<p><a href="https://emaragkos.gr/ctfs/ctf-categories/">https://emaragkos.gr/ctfs/ctf-categories</a></p>
<h1><strong>CTF Categorieën:</strong></h1>
<p>Traditioneel gezien zijn er een aantal CTF categorieën die vaak terug komen. Ook zijn er een aantal die overlapping hebben met elkaar of een subcategorie die zich zo differentieert dat het een opzichzelfstaande categorie is.</p>
<h2><strong>Digital Forensics</strong></h2>
<p>Forensisch onderzoek is de kunst om het digitale spoor dat achterblijft op een computer terug te vinden. Er zijn tal van methoden om gegevens te vinden die schijnbaar zijn gewist, niet zijn opgeslagen of, erger nog, in het geheim zijn vastgelegd.</p>
<p>Een belangrijk onderdeel van Forensics is het hebben van de juiste tools en het vertrouwd zijn met de volgende onderwerpen:</p>
<ul>
  <li><a href="https://ctf101.org/forensics/what-are-file-formats/">File Formats</a></li>
  <li><a href="https://ctf101.org/forensics/what-is-metadata/">EXIF data</a></li>
  <li>Wireshark &amp; PCAPs (Ook netwerk gerelateerd)</li>
  <li><a href="https://ctf101.org/forensics/what-is-stegonagraphy/">Stegonagraphy</a></li>
</ul>
<p>(Eigen categorie zou kunnen)</p>
<ul>
  <li><a href="https://ctf101.org/forensics/what-is-disk-imaging/">Disk Imaging</a></li>
</ul>
<p>Forensische" uitdagingen kunnen bestaan uit bestandsformaatanalyse, steganography (afbeeldingen), geheugendumpanalyse of analyse van het vastleggen van netwerkpakketten. Elke uitdaging om een verborgen stukje informatie uit statische gegevensbestanden te onderzoeken en te verwerken (in tegenstelling tot uitvoerbare programma's of externe servers) kan worden beschouwd als een Forensische uitdaging (tenzij het gaat om cryptografie).</p>
<p>Bijna elke forensische uitdaging zal betrekking hebben op een bestand, meestal zonder enige context die je een vermoeden geeft van wat het bestand is.</p>
<p>Bestanden-in-bestanden is een veel voorkomende uitdaging in forensische CTF-challenges, en ook in de firmware van embedded systemen waar primitieve of platte bestandssystemen gebruikelijk zijn. De term voor het identificeren van een bestand dat is ingesloten in een ander bestand en het uitpakken ervan is "file carving".</p>
<p>Archiefbestanden (ZIP, TGZ), beeldbestandsformaten (JPG, GIF, BMP, PNG), bestandssysteemafbeeldingen (vooral EXT4), pakketopnamen (PCAP, PCAPNG), geheugendumps, PDF, video (vooral MP4) of audio (vooral WAV, MP3), Microsoft's Office-formaten (RTF, OLE, OOXML).</p>
<p>De meeste CTF challenges zitten in een zip, 7z, rar, tar of tgz bestand, maar alleen in een forensische uitdaging zal het archief container bestand een deel van de uitdaging zelf zijn. Meestal is het doel hier om een bestand uit een beschadigd archief te halen, of om data te vinden die ergens in een ongebruikt veld is ingebed (een veelvoorkomende forensische uitdaging). Zip is de meest voorkomende in de echte wereld, en de meest voorkomende in CTF's.</p>
<p>CTF's worden verondersteld leuk te zijn, en beeldbestanden zijn goed voor het bevatten van hackermemes, dus natuurlijk verschijnen beeldbestanden vaak in CTF-challenges. Beeldbestandsformaten zijn complex en kunnen op vele manieren worden misbruikt voor interessante analysepuzzels waarbij metadatavelden, lossy en lossless compressie, checksums, steganografie of visuele gegevenscoderingsschema's een rol spelen.</p>
<p>Een van de meest voorkomende steganografietrucs is het verbergen van een bestand in een afbeelding. Het bestand opent normaal gesproken als een afbeelding, maar bevat ook verborgen bestanden, meestal zip, tekst en zelfs andere afbeeldingsbestanden.</p>
<p>Af en toe bestaat een CTF forensische uitdaging uit een volledige schijfafbeelding, en de speler moet een strategie hebben voor het vinden van een naald (de vlag) in deze hooiberg van gegevens. Triage, in computer forensisch onderzoek, verwijst naar de mogelijkheid om snel te vernauwen waar je naar moet kijken. Zonder strategie is de enige optie het kijken naar alles, wat tijdrovend is (om nog maar te zwijgen van uitputtend).</p>
<p>Netwerkverkeer wordt opgeslagen en vastgelegd in een PCAP-bestand (Packet capture), met een programma als tcpdump of Wireshark (beide gebaseerd op libpcap). Een populaire CTF-challenge is om een PCAP-bestand te leveren dat netwerkverkeer vertegenwoordigt en de speler uit te dagen om een overgedragen bestand te herstellen/reconstitueren of een overgedragen geheim te bewaren. Het compliceren van zaken, de pakketten van belang zijn meestal in een oceaan van ongerelateerd verkeer, dus analyse triage en het filteren van de gegevens is ook een taak voor de speler.</p>
<p>Jarenlang was computer forensisch onderzoek synoniem met bestandssysteem forensisch onderzoek, maar toen aanvallers steeds geavanceerder werden, begonnen ze de schijf te ontwijken. Ook bevat een snapshot van het geheugen vaak context en aanwijzingen die onmogelijk te vinden zijn op de schijf omdat ze alleen op runtime bestaan (operationele configuraties, remote-exploit shellcode, wachtwoorden en encryptiesleutels, etc.). Dus geheugen snapshot / geheugendump forensics is een populaire praktijk geworden in de reactie op incidenten. In een CTF vindt u misschien een challenge die een geheugendump-image oplevert, en taken die u moet uitvoeren met het lokaliseren en uitpakken van een geheim of een bestand daarin.</p>
<p>PDF is een uiterst gecompliceerd document bestandsformaat, met genoeg trucs en schuilplaatsen om jarenlang over te schrijven. Dit maakt het ook populair voor CTF forensische uitdagingen. De NSA schreef in 2008 een gids voor deze schuilplaatsen met de titel "Verborgen gegevens en metagegevens in Adobe PDF-bestanden": Publicatierisico's en tegenmaatregelen." Het is niet meer beschikbaar op de originele URL, maar u kunt nog een kopie vinden op het web. Ange Albertini houdt ook een wiki bij op GitHub van PDF-bestandstrucs.</p>
<p>Net als beeldbestandsformaten, is audio- en videobestand trucjes een veelvoorkomend thema in CTF forensics challenges niet omdat hacken of het verbergen van gegevens ooit op deze manier gebeurt in de echte wereld, maar gewoon omdat audio en video leuk is. Net als bij beeldbestandsformaten, kan stegonagraphy worden gebruikt om een geheim bericht in te bedden in de inhoudelijke gegevens, en opnieuw moet je weten om het bestand metagegevens gebieden te controleren op aanwijzingen. Je eerste stap moet zijn om een kijkje te nemen met de mediainfo tool (of exiftool) en het inhoudstype te identificeren en te kijken naar de metadata.</p>
<p>Microsoft heeft tientallen bestandsformaten voor kantoordocumenten gecreëerd, waarvan vele populair zijn voor de verspreiding van phishing-aanvallen en malware vanwege de mogelijkheid om macro's (VBA-scripts) op te nemen. De forensische analyse van Microsoft Office-documenten verschilt niet al te veel van de forensische analyse van PDF-documenten en is net zo relevant voor de reactie op incidenten in de praktijk.</p>
<h2><strong>Web expoitation</strong></h2>
<p>Allerlei uitdagingen met betrekking tot Web en HTTP. De OWASP top 10 zijn de meest voorkomende webkwetsbaarheden en zijn verwerkt in de <a href="http://juice-shop.hu.jointcyberrange.nl/">juice-shop.hu.jointcyberrange.nl/</a>. Mogelijke web challenges zijn inclusief, maar niet beperkt tot: SQL injectie, Directory traversal, File inclusion, scripting language quirks, XSS, JavaScript decodering, Command Injection, Cross Site Request Forgery, Server Side Request Forgery.</p>
<h2><strong>Network</strong></h2>
<p>Alles wat met het netwerk te maken heeft, zoals het analyseren van packet captures (PCAP's) of netwerkcommunicatie, poortkloppen, enz.</p>
<p>Naumachia is een CTFd platform voor network challenges <a href="https://www.naumachiactf.com/">https://www.naumachiactf.com/</a>: De inspiratie voor dit project komt voort uit de liefde voor netwerken en vooral voor netwerkbeveiliging. De bedenker wou een platform om uitdagingen te schrijven en te spelen waar alles ingebonden was, inclusief ARP spoofing, VLAN hopping (WIP), DNS vergiftiging, SNMP aanvallen, maar ook destructieve aanvallen zoals het laten vallen van databasetabellen en het installeren van backdoors zonder andere gebruikers te storen.</p>
<p>Naumachia biedt:</p>
<ul>
  <li>Orchastratie van "willekeurige" netwerken en gastheren voor uitdagingen</li>
  <li>Isolatie van teams binnen toegewijde challenge-instanties</li>
  <li>"Volledige" ethernettoegang tot het uitdagende netwerk</li>
</ul>
<h2><strong>Cryptography</strong></h2>
<p>Crypto kan bestaan uit klassieke crypto-algoritmen zoals substitution, Vigenere en Ceasar (rot13) ciphers. Maar ook coderingen zoals Morse, Braille, Base64 en XOR. Meer geavanceerde crypto-uitdagingen zijn onder andere zwakke punten in de ECB-modus, bitflipping, padding oracle-aanvallen (CBC) en hash-functie-uitbreidingsaanvallen.</p>
<p>Cryptografie is de reden dat we bankapplicaties kunnen gebruiken, gevoelige informatie over het web kunnen verzenden en in het algemeen onze privacy kunnen beschermen. Een groot deel van de CTF's breekt echter met veelgebruikte coderingsschema's die onjuist zijn geïmplementeerd. De wiskunde lijkt misschien ontmoedigend, maar vaker wel dan niet zal een eenvoudig begrip van de onderliggende principes je in staat stellen om fouten te vinden en de code te kraken.</p>
<p>Het woord "cryptografie" betekent technisch gezien de kunst van het schrijven van codes. Als het gaat om digitaal forensisch onderzoek, is het een methode die je kunt gebruiken om te begrijpen hoe gegevens worden geconstrueerd voor je analyse.</p>
<p>Het wordt gebruikt in dagelijkse software zoals bij:</p>
<ul>
  <li>Beveiliging van het webverkeer (wachtwoorden, communicatie, enz.)</li>
  <li>Beveiligen van auteursrechtelijk beschermde softwarecode</li>
</ul>
<p>Maar ook voor:</p>
<ul>
  <li>Kwaadwillig gebruik</li>
  <li>Het verbergen van kwaadaardige communicatie</li>
  <li>Verbergen van kwaadaardige code</li>
</ul>
<p>Onderwerpen</p>
<ul>
  <li><a href="https://ctf101.org/cryptography/what-is-xor/">XOR</a></li>
  <li><a href="https://ctf101.org/cryptography/what-is-caesar-cipher-rot-13/">Cesear Cipher</a></li>
  <li><a href="https://ctf101.org/cryptography/what-is-a-substitution-cipher/">Substitution Cipher</a></li>
  <li><a href="https://ctf101.org/cryptography/what-is-a-vigenere-cipher/">Vigenere Cipher</a></li>
  <li><a href="https://ctf101.org/cryptography/what-are-hashing-functions/">Hashing Functions</a></li>
  <li><a href="https://ctf101.org/cryptography/what-are-block-ciphers/">Block Ciphers</a></li>
  <li><a href="https://ctf101.org/cryptography/what-are-stream-ciphers/">Stream Ciphers</a></li>
  <li><a href="https://ctf101.org/cryptography/what-is-rsa/">RSA</a></li>
</ul>
<h2><strong>Reverse engineering</strong></h2>
<p>Meestal moeten de deelnemers een bepaald binair bestand onderzoeken, zoals een PE-bestand, ELF-bestand, APK-bestand of een aantal andere uitvoerbare binaire bestanden. Deelnemers moeten de sleutel vinden door de-compilatie, demontage met behulp van statische of dynamische analyse of andere reverse-engineering tools. Reverse Engineering in een CTF is typisch het proces van het nemen van een gecompileerd (machine code, bytecode) programma en het terug converteren naar een meer menselijk leesbaar formaat.</p>
<p>Heel vaak is het doel van een reverse-engineering uitdaging om de functionaliteit van een bepaald programma te begrijpen, zodat u diepere problemen kunt identificeren.</p>
<p>Onderwerpen:</p>
<ul>
  <li><a href="https://ctf101.org/reverse-engineering/what-is-assembly-machine-code/">Assembly / Machine Code</a></li>
  <li><a href="https://ctf101.org/reverse-engineering/what-is-c/">The C Programming Language</a></li>
  <li><a href="https://ctf101.org/reverse-engineering/what-are-disassemblers/">Disassemblers</a></li>
  <li><a href="https://ctf101.org/reverse-engineering/what-are-decompilers/">Decompilers</a></li>
  <li>Vulnerable games zien er interessant uit</li>
  <li>CTFd voor reverse engineering: <a href="https://reversing.ctfd.io/">https://reversing.ctfd.io/</a></li>
</ul>
<h2><strong>Pwnables/Binary Exploitation</strong></h2>
<p>Pwnables zijn uitdagingen waarbij je een specifieke lokale of externe kwetsbaarheid moet uitbuiten. Deze kwetsbaarheden kunnen gehost worden op Linux of Windows en kunnen Buffer overflows zijn, Format strings of een ander soort kwetsbaarheid. De moeilijkheidsgraad kan worden bemoeilijkt met mitigerende maatregelen zoals ASLR en NX. Pwnable uitdagingen worden soms ook gevonden in de Binary categorie.</p>
<p>Binaire bestanden, of uitvoerbare bestanden, zijn machinecodes voor een computer om uit te voeren. Voor het grootste deel zijn de binaire bestanden die je in CTF's tegenkomt Linux ELF-bestanden of af en toe een windows-executable. Binary Exploitation is een breed onderwerp binnen Cyber Security wat echt neerkomt op het vinden van een kwetsbaarheid in het programma en het exploiteren ervan om controle te krijgen over een shell of het wijzigen van de functies van het programma.</p>
<p>Gangbare thema's die door binaire exploitatie of 'pwn'-uitdagingen worden aangepakt zijn onder meer:</p>
<ul>
  <li><a href="https://ctf101.org/binary-exploitation/what-are-registers/">Registers</a></li>
  <li><a href="https://ctf101.org/binary-exploitation/what-is-the-stack/">The Stack</a></li>
  <li><a href="https://ctf101.org/binary-exploitation/what-are-calling-conventions/">Calling Conventions</a></li>
  <li><a href="https://ctf101.org/binary-exploitation/what-is-the-got/">Global Offset Table (GOT)</a></li>
  <li><a href="https://ctf101.org/binary-exploitation/what-are-buffers/">Buffers</a>
    <ul>
      <li><a href="https://ctf101.org/binary-exploitation/buffer-overflow/">Buffer Overflow</a></li>
    </ul>
  </li>
  <li><a href="https://ctf101.org/binary-exploitation/return-oriented-programming/">Return Oriented Programming (ROP)</a></li>
  <li><a href="https://ctf101.org/binary-exploitation/what-is-binary-security/">Binary Security</a>
    <ul>
      <li><a href="https://ctf101.org/binary-exploitation/no-execute/">No eXecute (NX)</a></li>
      <li><a href="https://ctf101.org/binary-exploitation/address-space-layout-randomization/">Address Space Layout Randomization (ASLR)</a></li>
      <li><a href="https://ctf101.org/binary-exploitation/stack-canaries/">Stack Canaries</a></li>
      <li><a href="https://ctf101.org/binary-exploitation/relocation-read-only/">Relocation Read-Only (RELRO)</a></li>
    </ul>
  </li>
  <li><a href="https://ctf101.org/binary-exploitation/what-is-the-heap/">The Heap</a>
    <ul>
      <li><a href="https://ctf101.org/binary-exploitation/heap-exploitation/">Heap Exploitation</a></li>
    </ul>
  </li>
  <li><a href="https://ctf101.org/binary-exploitation/what-is-a-format-string-vulnerability/">Format String Vulnerability</a></li>
</ul>
<h2><strong>Reconnaissance/OSINT (Open Source Intelligence)</strong></h2>
<p>Open Source Intelligence (OSINT) maakt gebruik van online tools, openbare documenten en sociale media om informatie te vinden over een doelwit, meestal over een individu of organisatie. Als u bijvoorbeeld ooit iemand heeft gegoogled voordat u hem of haar ontmoette voor uw veiligheid, dan is dat OSINT!</p>
<p>Mogelijke challanges:</p>
<ul>
  <li>In dit geval krijgen we de onderstaande afbeelding en worden we uitgedaagd om te kijken of we de originele fotograaf kunnen vinden. Bij onze eerste waarneming lijkt het alsof het een foto is die op Instagram is geplaatst. Zoals je kunt zien, ziet het er linksonder uit alsof er een account is getagd - het persoonspictogram is wat er te zien is als iemand op een foto op instagram wordt getagd.</li>
</ul>
<p>Met een reverse image search op Google, kunnen we zien dat dit een foto is van Victoria Memorial in Kolkata, India. De zoekterm "victoria memorial" in de onderstaande screenshot wordt door Google ingevuld nadat de foto is geüpload en het zoeken is afgerond. Op de meeste plaatsen waar u deze foto vindt, wordt de originele fotograaf niet gecrediteerd. Als je ver genoeg naar beneden scrollt waar het is gepost in een van de zoekresultaten, <a href="https://twitter.com/vivbajaj/status/1263046172282949632">https://twitter.com/vivbajaj/status/1263046172282949632,</a> dan zie je een tweet van de originele fotograaf, die ons zijn Instagram-account @arunopal17 geeft: Als je naar het Instagram-account gaat, zie je de foto gepost op 15 oktober 2019 met de vlag in het commentaar.</p>
<ul>
  <li>We krijgen een foto met de beschrijving, "Een verslaggever wilde weten waar deze vlucht naartoe gaat. Waar woont hij (de verslaggever)?" Eerst moeten we uitzoeken waar deze foto online staat, en dan kijken we of we een comment kunnen vinden van een verslaggever die vraagt waar de vlucht naartoe gaat. Door een reverse image search te doen zoals in de vorige uitdaging, worden we naar een tweet geleid door Jack Ma (<a href="https://twitter.com/JackMa/status/1239388330405449728">https://twitter.com/JackMa/status/1239388330405449728)</a> en in een van de antwoorden zien we een verslaggever uit San Francisco die vraagt waar de vlucht naartoe gaat. Het enige wat nodig was om deze uitdaging op te lossen was een reverse image search en een beetje lezen in de antwoorden.</li>
  <li>Een van de uitdagingen die ik niet oploste was de verplichting - maar ik leerde over een nieuw instrument dat ik de volgende keer kan gebruiken, wat ook zou hebben geholpen met uitdagingen in andere CTF's.</li>
</ul>
<p>Alles wat het zei was "hoshimaseok is tot geen goed. Spoor hem op." Dit geeft ons nauwelijks iets om mee door te gaan, behalve dat we op zoek zijn naar een gebruiker genaamd "hoshimaseok." Alles wat ik vond bij het zoeken naar de gebruikersnaam in Google was een link naar de Reddit post voor CSICTF, en een gebruiker met die naam postte dat ze zich zouden aanmelden. Ik kon er niet achter komen waar ik verder nog naartoe moest. De officiële writeup voor deze uitdaging zei dat de tool die in dit geval gebruikt moet worden Sherlock heet.</p>
<ul>
  <li>Trace Labs doet een coole CTF voor vermiste personen. Je werkt samen met Trace Labs en de lokale politie om vermiste personen te vinden. Dit lijkt een super impactvolle manier om een CTF te hebben en ze hebben zelfs met succes een aantal mensen gevonden.</li>
</ul>
<p><strong>Miscellaneous (Diverse)</strong></p>
<ul>
  <li>Al het andere, je kunt hier creatief zijn zoals de Damn Vulnerable Router</li>
</ul>
<p><strong>Extra categorieën:</strong></p>
<p><strong>Legacy, dinosaurs and heritage systems categorieën</strong></p>
<ul>
  <li>Challenges voor hele oude systemen</li>
</ul>
<p><strong>Boot2Root</strong></p>
<ul>
  <li>Boot and root the machine</li>
</ul>
<p><strong>Programming Challenges</strong></p>
<ul>
  <li>Los programeer problemen/puzzels op</li>
</ul>
<p><strong>Cloud</strong></p>
<ul>
  <li>Specifieke kwetsbaarheden van de cloud</li>
</ul>
<p><strong>Mobile</strong></p>
<ul>
  <li>Kwetsbaarheden op mobiele platformen</li>
</ul>
<p><strong>Trivia (Questions)</strong></p>
<ul>
  <li>Trivia-vragen zijn elke vorm van kennisvraag, antwoorden zijn meestal algemene kennis op het gebied van veiligheid of kunnen worden gevonden door gebruik te maken van zoekmachines.</li>
</ul>
<p><strong>Social engineering</strong></p>
<ul>
  <li>Een breed scala aan kwaadaardige activiteiten die door middel van menselijke interacties tot stand komen. Het maakt gebruik van psychologische manipulatie om gebruikers te verleiden tot het maken van beveiligingsfouten of het weggeven van gevoelige informatie.</li>
</ul>
<p><strong>Real life</strong></p>
<ul>
  <li>Onsite CTF's kunnen ook Real Life uitdagingen hebben zoals lock picking, alarm uitschakelen, (nep)bom onschadelijk maken, dumpster duiken, een laserkamer, AI of SCADA hacken.</li>
</ul>
<p>&nbsp;De Open source challanges die tijdens het onderzoek naar boven kwamen:</p>
<ul>
  <li><a href="https://raw.githubusercontent.com/fareedfauzi/fareedfauzi.github.io/master/assets/images/Practice.png">https://raw.githubusercontent.com/fareedfauzi/fareedfauzi.github.io/master/assets/images/Practice.png</a></li>
  <li><a href="https://github.com/bsidessf">https://github.com/bsidessf</a></li>
  <li><a href="https://github.com/tamuctf/TAMUctf-2020">https://github.com/tamuctf/TAMUctf-2020</a>&nbsp;</li>
  <li><a href="https://github.com/tamuctf/TAMUctf-2019">https://github.com/tamuctf/TAMUctf-2019</a></li>
</ul>
<p>Sources:</p>
<ul>
  <li><a href="https://trailofbits.github.io/ctf/forensics/">https://trailofbits.github.io/ctf/forensics/</a></li>
  <li><a href="http://fstm.kuis.edu.my/blog/what-is-ctf-capture-the-flag/">http://fstm.kuis.edu.my/blog/what-is-ctf-capture-the-flag/</a></li>
  <li><a href="https://cybertalents.com/blog/getting-started-in-capture-the-flag-ctf-competitions">https://cybertalents.com/blog/getting-started-in-capture-the-flag-ctf-competitions</a></li>
  <li><a href="https://www.onelogin.com/blog/security-ctf">https://www.onelogin.com/blog/security-ctf</a></li>
</ul>
